gnome-orca needs to be moved to oldlibs too.

** Also affects: gnome-orca (Ubuntu)
   Importance: Undecided
       Status: New

** Package changed: gnome-orca (Ubuntu) => orca (Ubuntu)

** Summary changed:

- Move gnome-tweak-tool to oldlibs
+ Move gnome-tweak-tool and gnome-orca to oldlibs

-- 
You received this bug notification because you are a member of Desktop
Packages, which is subscribed to gnome-orca in Ubuntu.
https://bugs.launchpad.net/bugs/1747033

Title:
  Move gnome-tweak-tool and gnome-orca to oldlibs

Status in gnome-tweaks package in Ubuntu:
  New
Status in orca package in Ubuntu:
  New

Bug description:
  Test Case
  =========
  1. From Ubuntu 18.04, uninstall gnome-tweaks and gnome-tweak-tool if 
installed.

  2. Download gnome-tweak-tool from 17.10

  https://launchpad.net/ubuntu/+source/gnome-tweak-
  tool/3.26.2.1-1ubuntu1/+build/13538022

  3. sudo apt install ./gnome-tweak-tool_3.26.2.1-1ubuntu1_all.deb

  4. sudo apt dist-upgrade

  (gnome-tweak-tool is now a transitional package that depends on gnome-
  tweaks).

  5. sudo apt remove gnome-tweak-tool

  6. sudo apt dist-upgrade

  The following package was automatically installed and is no longer required:
    gnome-tweaks
  Use 'sudo apt autoremove' to remove it.

  Excerpts from apt show
  ======================
  $ apt show gnome-tweaks
  Package: gnome-tweaks
  Version: 3.27.4-1ubuntu1
  Priority: optional
  Breaks: gnome-tweak-tool (<= 3.27.4)
  Replaces: gnome-tweak-tool (<= 3.27.4)
  APT-Manual-Installed: no

  $ apt show gnome-tweak-tool
  Package: gnome-tweak-tool
  Version: 3.27.4-1ubuntu1
  Priority: optional
  Section: universe/gnome
  Source: gnome-tweaks
  Depends: gnome-tweaks
  Description: adjust advanced settings for GNOME - transitional package
   GNOME Tweak Tool allows the adjustment of several advanced GNOME
   options that can't be configured in gnome-control-center.
   .
   This package is here to ensure smooth upgrades. It can be removed when
   you see fit.

  What's Wrong
  ============
  I think that "APT-Manual-Installed: no" should not be set for gnome-tweaks.

  Hmm, gnome-tweak-tool should be universe/oldlibs now. (Debian also
  currently has it in 'gnome' instead of oldlibs.)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gnome-tweaks/+bug/1747033/+subscriptions

-- 
Mailing list: https://launchpad.net/~desktop-packages
Post to     : desktop-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~desktop-packages
More help   : https://help.launchpad.net/ListHelp

Reply via email to